FreeMat

- Main Page
- Related Pages

vtkAssignCoordinates

Section: Visualization Toolkit Infovis Classes

# Usage

Given two(or three) arrays take the values in those arrays and simply assign them to the coordinates of the vertices. Yes you could do this with the array calculator, but your mom wears army boots so we're not going to.

To create an instance of class vtkAssignCoordinates, simply invoke its constructor as follows

      obj = vtkAssignCoordinates

# Methods

The class vtkAssignCoordinates has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAssignCoordinates class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAssignCoordinates = obj.NewInstance ()`
- `vtkAssignCoordinates = obj.SafeDownCast (vtkObject o)`
- `obj.SetXCoordArrayName (string )` - Set the x coordinate array name.
- `string = obj.GetXCoordArrayName ()` - Set the x coordinate array name.
- `obj.SetYCoordArrayName (string )` - Set the y coordinate array name.
- `string = obj.GetYCoordArrayName ()` - Set the y coordinate array name.
- `obj.SetZCoordArrayName (string )` - Set the z coordinate array name.
- `string = obj.GetZCoordArrayName ()` - Set the z coordinate array name.
- `obj.SetJitter (bool )` - Set if you want a random jitter